# Search specific report This endpoint allows searching reports filtering according to various criteria. In case of success, the request will return a response with status 200. **GET** `/v1/account/release_report/search` ## Request parameters ### Query - `id` (integer, optional) Specific identifier of the report to search for. - `file_name` (string, optional) Exact name of the report file to search for. This field is case sensitive, so it must be exact. - `begin_date` (string, optional) Start date of the reported period, that is, the moment at which the information collection began, not the creation date of the report. The format must be ISO 8601 UTC (YYYY-MM-DDTHH:mm:ssZ). - `end_date` (string, optional) End date of the reported period, that is, the moment at which the information collection ended. The format must be ISO 8601 UTC (YYYY-MM-DDTHH:mm:ssZ). - `created_from` (string, optional) Mode in which the report to be consulted was created. The possible values are 'manual' (generated manually) or 'schedule' (scheduled). By default, it is set as 'manual,schedule', which means that both manually generated and scheduled reports can be consulted. - `range` (string, optional) Field to filter by date range. Only supports the value 'date_created', which means that it will be filtered by the creation date of the report. If specified, the query params 'range_begin_date' and 'range_end_date' will be required. - `range_begin_date` (string, optional) Start date for range filter. This field is required if the query param 'range' is sent. The format must be ISO 8601 UTC (YYYY-MM-DDTHH:mm:ssZ). - `range_end_date` (string, optional) End date for range filter. This field is required if the query param 'range' is sent. The format must be ISO 8601 UTC (YYYY-MM-DDTHH:mm:ssZ). - `account_id` (integer, optional) Unique identifier of the account associated with the report. - `currency_id` (string, optional) Currency code included in the report. Must contain only uppercase letters and a maximum of 10 characters, in ISO 4217 format. - `format` (string, optional) Format of the report file. The possible values are: - `offset` (integer, optional) Pagination offset. This parameter determines the starting point from which the records should be obtained. It must be a numerical value greater than or equal to zero (0). Its default value is zero (0). Maximum: 10000. - `limit` (integer, optional) Pagination limit. This parameter specifies the maximum number of records you want to get in the response. It must be a numeric value, greater than or equal to 1 and less than or equal to 500. The default value is 30. ## Response parameters - `paging` (object, optional) Pagination information. - `paging.total` (integer, optional) Total number of records matching the search criteria. - `paging.limit` (integer, optional) Limit applied to the query. - `paging.offset` (integer, optional) Offset applied to the query. - `results` (array, optional) List of reports matching the search criteria. Results are sorted by creation date in descending order (most recent first). - `results[].id` (integer, optional) Unique identifier of the report. - `results[].user_id` (integer, optional) Unique identifier of the user who owns the report. - `results[].begin_date` (string, optional) Start date and time of the report interval, in the UTC time zone (ISO 8601 format). - `results[].end_date` (string, optional) End date and time of the report interval, in the UTC time zone (ISO 8601 format). - `results[].file_name` (string, optional) Name of the report file. - `results[].created_from` (string, optional) Origin of the report creation. The possible values are: 'manual' or 'schedule'. - `results[].date_created` (string, optional) Date and time when the report was generated. - `results[].download_date` (string, optional, nullable) Date and time of the download, if applicable. May be 'null' if the report has not been downloaded. - `results[].status` (string, optional) Status of the report. It usually is 'enabled' for this type of report. - `results[].origin` (string, optional) Origin type of the report. For example, 'date_range'. - `results[].sub_type` (string, optional, nullable) Subtype of the report. It will always be 'release' for this type of report. - `results[].metadata` (string, optional) Metadata in JSON string format. Contains additional information about the report, such as user tags, generation model, and last movement ID. - `results[].model` (string, optional) Type of report. It will always be 'release' for this type of report. - `results[].account_id` (integer, optional) Unique identifier of the account who owns the report. - `results[].currency_id` (string, optional) Currency code used in the report in ISO 4217 format. - `results[].format` (string, optional) Format of the generated report file. The possible values are: 'CSV' or 'XLSX'. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_id | The value informed for the 'id' parameter is invalid. Validate if the sent information is correct and try again. | | 400 | invalid_offset | The offset is not valid or exceeds the maximum value of 10000. Validate if the sent information is correct and try again. | | 400 | invalid_limit | The limit is not valid or exceeds the maximum value of 500. Validate if the sent information is correct and try again. | | 400 | invalid_range | The value informed for the 'range' parameter is invalid. It must be 'date_created'. | | 400 | invalid_range_begin_date | The range start date is invalid or was not informed when the 'range' parameter was used as a search filter. It is mandatory to send it in these cases. | | 400 | invalid_range_end_date | The range end date is invalid or was not informed when the 'range' parameter was used as a search filter. It is mandatory to send it in these cases. | | 400 | invalid_account_id | The value informed for the 'account_id' parameter is invalid. Validate if the sent information is correct and try again. | | 400 | invalid_currency_id | The value informed for the 'currency_id' parameter is invalid. It must contain only uppercase letters and a maximum of 10 characters. | | 400 | invalid_filters | The filters contain invalid fields. Check the 'filters' parameter documentation for more information. | | 400 | invalid_alias_created_from | The value informed for the 'alias_created_from' parameter is invalid. It must be 'manual' or 'schedule'. | | 401 | unauthorized_user_id | The user is not authorized to access the requested resource. Validate if the sent information is correct and try again. | | 500 | internal_error | Internal server error. Wait a few minutes and try again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/account/release_report/search?id=&file_name=&begin_date=&end_date=&created_from=&range=&range_begin_date=&range_end_date=&account_id=¤cy_id=&format=&offset=&limit=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "paging": { "total": 4, "limit": 30, "offset": 0 }, "results": [ { "id": 17001104, "user_id": 574264905, "begin_date": "2022-09-30T03:00:00Z", "end_date": "2022-10-02T02:59:59Z", "file_name": "release-report-USER_ID-2022-10-12-104118.csv", "created_from": "manual", "date_created": "2022-10-12T10:41:19.000-04:00", "download_date": "2022-10-12T10:42:55.000-04:00", "status": "enabled", "origin": "date_range", "sub_type": "release", "metadata": "{\"user_tags\": [\"normal\", \"credits_profile\", \"messages_as_seller\"], \"generation_model\": \"release\", \"last_movement_id\": 129309876619}", "model": "release", "account_id": 208361929, "currency_id": "ARS", "format": "CSV" } ] } ```